Error Functions
Base Module » Basic and Miscellaneous Math Functions

## Functions

std::complex< double > | itpp::erf (const std::complex< double > &z)
| Error function for complex argument.
double | itpp::erfinv (double x)
| Inverse of error function.
double | itpp::Qfunc (double x)
| Q-function.
vec | itpp::erf (const vec &x)
| Error function.
mat | itpp::erf (const mat &x)
| Error function.
cvec | itpp::erf (const cvec &x)
| Error function.
cmat | itpp::erf (const cmat &x)
| Error function.
vec | itpp::erfinv (const vec &x)
| Inverse of error function.
mat | itpp::erfinv (const mat &x)
| Inverse of error function.
vec | itpp::erfc (const vec &x)
| Complementary error function.
mat | itpp::erfc (const mat &x)
| Complementary error function.
vec | itpp::Qfunc (const vec &x)
| Q-function.
mat | itpp::Qfunc (const mat &x)
| Q-function.

## Detailed Description

## Function Documentation

## erf() [1/5]

ITPP_EXPORT std::complex< double > itpp::erf | ( | const std::complex< double > & | z | ) |

Error function for complex argument.

Author
  Adam Piatyszek

This function calculates a well known error function `erf(z)` for complex `z`. The implementation is based on unofficial implementation for Octave. Here is a part of the author's note from original sources:

Put together by John Smith john at arrows dot demon dot co dot uk, using ideas by others.

Calculate `erf(z)` for complex `z`. Three methods are implemented; which one is used depends on z.

The code includes some hard coded constants that are intended to give about 14 decimal places of accuracy. This is appropriate for 64-bit floating point numbers.

Definition at line 154 of file error.cpp.

References abs(), std::abs(), cerf_continued_fraction(), cerf_rybicki(), and cerf_series().

Referenced by erf(), erf(), erf(), and erf().

## erfinv() [1/3]

ITPP_EXPORT double itpp::erfinv | ( | double | P | ) |

Inverse of error function.

Definition at line 169 of file error.cpp.

References it_error_if, log(), and sign().

Referenced by erfinv(), erfinv(), and itpp::Rice_Fading_Generator::init_MEDS().

## Qfunc() [1/3]

ITPP_EXPORT double itpp::Qfunc | ( | double | x | ) |

Q-function.

Definition at line 217 of file error.cpp.

References erfc().

Referenced by Qfunc(), and Qfunc().

## erf() [2/5]

ITPP_EXPORT vec itpp::erf | ( | const vec & | x | ) |

Error function.

Definition at line 224 of file error.cpp.

References apply_function(), and erf().

## erf() [3/5]

ITPP_EXPORT mat itpp::erf | ( | const mat & | x | ) |

Error function.

Definition at line 225 of file error.cpp.

References apply_function(), and erf().

## erf() [4/5]

ITPP_EXPORT cvec itpp::erf | ( | const cvec & | x | ) |

Error function.

Definition at line 226 of file error.cpp.

References apply_function(), and erf().

## erf() [5/5]

ITPP_EXPORT cmat itpp::erf | ( | const cmat & | x | ) |

Error function.

Definition at line 230 of file error.cpp.

References apply_function(), and erf().

## erfinv() [2/3]

ITPP_EXPORT vec itpp::erfinv | ( | const vec & | x | ) |

Inverse of error function.

Definition at line 236 of file error.cpp.

References apply_function(), and erfinv().

## erfinv() [3/3]

ITPP_EXPORT mat itpp::erfinv | ( | const mat & | x | ) |

Inverse of error function.

Definition at line 237 of file error.cpp.

References apply_function(), and erfinv().

## erfc() [1/2]

ITPP_EXPORT vec itpp::erfc | ( | const vec & | x | ) |

Complementary error function.

Definition at line 240 of file error.cpp.

References apply_function(), and erfc().

Referenced by erfc(), erfc(), and Qfunc().

## erfc() [2/2]

ITPP_EXPORT mat itpp::erfc | ( | const mat & | x | ) |

Complementary error function.

Definition at line 241 of file error.cpp.

References apply_function(), and erfc().

## Qfunc() [2/3]

ITPP_EXPORT vec itpp::Qfunc | ( | const vec & | x | ) |

Q-function.

Definition at line 244 of file error.cpp.

References apply_function(), and Qfunc().

## Qfunc() [3/3]

ITPP_EXPORT mat itpp::Qfunc | ( | const mat & | x | ) |

Q-function.

Definition at line 245 of file error.cpp.

References apply_function(), and Qfunc().

Generated on for IT++ by Doxygen 1.15.0